Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.bpm
Class PooledTask

    java.lang.Object
      org.jboss.seam.bpm.PooledTask

    @Name(value="org.jboss.seam.bpm.pooledTask")
    @Scope(value=APPLICATION)
    @Install(precedence=0,
             dependencies="org.jboss.seam.bpm.jbpm")
    public class PooledTask

extends Object

Support for assigning tasks in the pooled task list.

Author:
  Gavin King
See Also:
  `TaskInstanceList`

Constructor Summary
`PooledTask()`

Method Summary
`String` | `assign(String actorId)` Assign the TaskInstance with the id passed in the request parameter named "taskId" to the given actor id.
`String` | `assignToCurrentActor()` Assign the TaskInstance with the id passed in the request parameter named "taskId" to the current actor.
`org.jbpm.taskmgmt.exe.TaskInstance` | `getTaskInstance()`
`String` | `unassign()` Unassign the TaskInstance with the id passed in the request parameter named "taskId" from the actor to which it is assigned, and return it to the pool it came from.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledTask

    public PooledTask()

Method Detail

### assignToCurrentActor

    @Transactional
    public String assignToCurrentActor()

  Assign the TaskInstance with the id passed in the request parameter named "taskId" to the current actor.

  Returns:
    a null outcome only if the task was not found
  See Also:
    `Actor`

### assign

    @Transactional
    public String assign(String actorId)

  Assign the TaskInstance with the id passed in the request parameter named "taskId" to the given actor id.

  Parameters:
    `actorId` - the jBPM actor id
  Returns:
    a null outcome only if the task was not found

### unassign

    @Transactional
    public String unassign()

  Unassign the TaskInstance with the id passed in the request parameter named "taskId" from the actor to which it is assigned, and return it to the pool it came from.

  Returns:
    a null outcome only if the task was not found

### getTaskInstance

    @Transactional
    public org.jbpm.taskmgmt.exe.TaskInstance getTaskInstance()

  Returns:
    the TaskInstance with the id passed in the request parameter named "taskId".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.